Skip to content

Get Partner Program usage

Read managed accounts, active Agents and print jobs for one UTC calendar month.

GET/partner-api/v1/usageAPI version: v1operationId: getPartnerUsageView as Markdown

What this endpoint does

Read managed accounts, active Agents and print jobs for one UTC calendar month.

Authentication

Send a one-time RS256 Developer Application assertion in Authorization: Bearer <application_assertion>. This assertion is not a Public API access token.

Request

Production base URL: https://public-api.cloudprint.me/partner-api/v1/usage

Parameters

NameLocationTypeRequiredDescriptionConstraints
periodquerystringnoUTC calendar month. Defaults to the current month.example: "2026-08"

Request body

This endpoint has no request body.

Example requests

cURL

bash
curl -sS 'https://public-api.cloudprint.me/partner-api/v1/usage?period=2026-08' \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"

Response

HTTP status: 200 — Partner usage

Response fields

NameTypeRequiredDescriptionConstraints
periodstringyes
starts_atstring (date-time)yesISO 8601 timestamp recorded by CloudPrint.
ends_atstring (date-time)yesISO 8601 timestamp recorded by CloudPrint.
managed_accountsintegeryesmin: 0
active_agentsintegeryesmin: 0
print_jobsintegeryesPrint jobs returned for the current account and filters.min: 0

Example response

json
{
  "period": "string",
  "starts_at": "2026-08-06T12:00:00Z",
  "ends_at": "2026-08-06T12:00:00Z",
  "managed_accounts": 0,
  "active_agents": 0,
  "print_jobs": 0
}

Errors

HTTP statusDescription
401Application assertion is invalid
403Partner capability is not granted
422Period is invalid
429Rate limit exceeded
500Unexpected error

Integration guidance

Guides for integrating CloudPrint, connecting the local agent and operating print workflows.